package com.sundot.airport.item.domain;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

/**
 * 查获记录对象 item_seizure_record
 *
 * @author ruoyi
 * @date 2025-07-10
 */
@TableName("item_seizure_record")
public class ItemSeizureRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 租户号
     */
    private String tenantId;

    /**
     * 乐观锁
     */
    private Integer revision;

    /**
     * 检查人员ID
     */
    @Excel(name = "检查人员ID")
    private Long inspectUserId;

    /**
     * 通道编码
     */
    @Excel(name = "通道编码")
    private String channelCode;

    /**
     * 查获时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "查获时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date seizureTime;

    /**
     * 检查岗位
     */
    @Excel(name = "检查岗位")
    private String checkMethod;

    /**
     * 考勤记录ID
     */
    @Excel(name = "考勤记录ID")
    private Long attendanceId;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 考勤班组ID
     */
    @Excel(name = "考勤班组ID")
    private Long attendanceTeamId;

    /**
     * 考勤班组名称
     */
    @Excel(name = "考勤班组名称")
    private String attendanceTeamName;

    /**
     * 考勤科室ID
     */
    @Excel(name = "考勤科室ID")
    private Long attendanceDepartmentId;

    /**
     * 考勤科室名称
     */
    @Excel(name = "考勤科室名称")
    private String attendanceDepartmentName;

    /**
     * 考勤机构站ID
     */
    @Excel(name = "考勤机构站ID")
    private Long attendanceStationId;

    /**
     * 考勤机构站名称
     */
    @Excel(name = "考勤机构站名称")
    private String attendanceStationName;

    /**
     * 通道名称
     */
    @Excel(name = "通道名称")
    private String channelName;

    /**
     * 区域编码
     */
    @Excel(name = "区域编码")
    private String regionalCode;

    /**
     * 区域名称
     */
    @Excel(name = "区域名称")
    private String regionalName;

    /**
     * 航站楼编码
     */
    @Excel(name = "航站楼编码")
    private String terminlCode;

    /**
     * 航站楼名称
     */
    @Excel(name = "航站楼名称")
    private String terminlName;

    /**
     * 旅客姓名
     */
    @Excel(name = "旅客姓名")
    private String passengerName;

    /**
     * 旅客性别
     */
    @Excel(name = "旅客性别")
    private String passengerGender;

    /**
     * 旅客身份证号
     */
    @Excel(name = "旅客身份证号")
    private String passengerCard;

    /**
     * 航班号
     */
    @Excel(name = "航班号")
    private String passengerFlight;

    /**
     * 查获人班组ID
     */
    @Excel(name = "查获人班组ID")
    private Long inspectTeamId;

    /**
     * 查获人班组名称
     */
    @Excel(name = "查获人班组名称")
    private String inspectTeamName;

    /**
     * 查获人科室ID
     */
    @Excel(name = "查获人科室ID")
    private Long inspectDepartmentId;

    /**
     * 查获人科室名称
     */
    @Excel(name = "查获人科室名称")
    private String inspectDepartmentName;

    /**
     * 查获人机构站ID
     */
    @Excel(name = "查获人机构站ID")
    private Long inspectStationId;

    /**
     * 查获人机构站名称
     */
    @Excel(name = "查获人机构站名称")
    private String inspectStationName;

    /**
     * 检查岗位名称
     */
    @Excel(name = "检查岗位名称")
    private String checkMethodDesc;

    /**
     * 旅客性别名称
     */
    @Excel(name = "旅客性别名称")
    private String passengerGenderDesc;

    /**
     * 检查人员名称
     */
    @Excel(name = "检查人员名称")
    private String inspectUserName;

    /**
     * 开机指令（0-指令，1-非指令，默认 0）
     */
    @Excel(name = "开机指令", readConverterExp = "0=指令，1=非指令")
    private Integer powerOnInstruction;

    /**
     * X 光开机员 ID（当开机指令为非指令时必填）
     */
    @Excel(name = "X 光开机员 ID")
    private Long xrayOperatorId;

    /**
     * X 光开机员名称
     */
    @Excel(name = "X 光开机员名称")
    private String xrayOperatorName;

    /**
     * 流程状态 0草稿,1审核中,2 人工终止 ,3归档
     */
    @Excel(name = "流程状态 0草稿,1审核中,2 人工终止 ,3归档")
    private String processStatus;

    /**
     * 考勤大队ID
     */
    @Excel(name = "考勤大队ID")
    private Long attendanceBrigadeId;

    /**
     * 考勤大队名称
     */
    @Excel(name = "考勤大队名称")
    private String attendanceBrigadeName;

    /**
     * 查获人大队ID
     */
    @Excel(name = "查获人大队ID")
    private Long inspectBrigadeId;

    /**
     * 查获人大队名称
     */
    @Excel(name = "查获人大队名称")
    private String inspectBrigadeName;

    /**
     * 查获物品明细列表
     */
    private List<ItemSeizureItems> itemSeizureItemsList;

    public String getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(String processStatus) {
        this.processStatus = processStatus;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setRevision(Integer revision) {
        this.revision = revision;
    }

    public Integer getRevision() {
        return revision;
    }

    public void setInspectUserId(Long inspectUserId) {
        this.inspectUserId = inspectUserId;
    }

    public Long getInspectUserId() {
        return inspectUserId;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setSeizureTime(Date seizureTime) {
        this.seizureTime = seizureTime;
    }

    public Date getSeizureTime() {
        return seizureTime;
    }

    public void setCheckMethod(String checkMethod) {
        this.checkMethod = checkMethod;
    }

    public String getCheckMethod() {
        return checkMethod;
    }

    public void setAttendanceId(Long attendanceId) {
        this.attendanceId = attendanceId;
    }

    public Long getAttendanceId() {
        return attendanceId;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAttendanceTeamId(Long attendanceTeamId) {
        this.attendanceTeamId = attendanceTeamId;
    }

    public Long getAttendanceTeamId() {
        return attendanceTeamId;
    }

    public void setAttendanceTeamName(String attendanceTeamName) {
        this.attendanceTeamName = attendanceTeamName;
    }

    public String getAttendanceTeamName() {
        return attendanceTeamName;
    }

    public void setAttendanceDepartmentId(Long attendanceDepartmentId) {
        this.attendanceDepartmentId = attendanceDepartmentId;
    }

    public Long getAttendanceDepartmentId() {
        return attendanceDepartmentId;
    }

    public void setAttendanceDepartmentName(String attendanceDepartmentName) {
        this.attendanceDepartmentName = attendanceDepartmentName;
    }

    public String getAttendanceDepartmentName() {
        return attendanceDepartmentName;
    }

    public void setAttendanceStationId(Long attendanceStationId) {
        this.attendanceStationId = attendanceStationId;
    }

    public Long getAttendanceStationId() {
        return attendanceStationId;
    }

    public void setAttendanceStationName(String attendanceStationName) {
        this.attendanceStationName = attendanceStationName;
    }

    public String getAttendanceStationName() {
        return attendanceStationName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setRegionalCode(String regionalCode) {
        this.regionalCode = regionalCode;
    }

    public String getRegionalCode() {
        return regionalCode;
    }

    public void setRegionalName(String regionalName) {
        this.regionalName = regionalName;
    }

    public String getRegionalName() {
        return regionalName;
    }

    public void setTerminlCode(String terminlCode) {
        this.terminlCode = terminlCode;
    }

    public String getTerminlCode() {
        return terminlCode;
    }

    public void setTerminlName(String terminlName) {
        this.terminlName = terminlName;
    }

    public String getTerminlName() {
        return terminlName;
    }

    public void setPassengerName(String passengerName) {
        this.passengerName = passengerName;
    }

    public String getPassengerName() {
        return passengerName;
    }

    public void setPassengerGender(String passengerGender) {
        this.passengerGender = passengerGender;
    }

    public String getPassengerGender() {
        return passengerGender;
    }

    public void setPassengerCard(String passengerCard) {
        this.passengerCard = passengerCard;
    }

    public String getPassengerCard() {
        return passengerCard;
    }

    public void setPassengerFlight(String passengerFlight) {
        this.passengerFlight = passengerFlight;
    }

    public String getPassengerFlight() {
        return passengerFlight;
    }

    public void setInspectTeamId(Long inspectTeamId) {
        this.inspectTeamId = inspectTeamId;
    }

    public Long getInspectTeamId() {
        return inspectTeamId;
    }

    public void setInspectTeamName(String inspectTeamName) {
        this.inspectTeamName = inspectTeamName;
    }

    public String getInspectTeamName() {
        return inspectTeamName;
    }

    public void setInspectDepartmentId(Long inspectDepartmentId) {
        this.inspectDepartmentId = inspectDepartmentId;
    }

    public Long getInspectDepartmentId() {
        return inspectDepartmentId;
    }

    public void setInspectDepartmentName(String inspectDepartmentName) {
        this.inspectDepartmentName = inspectDepartmentName;
    }

    public String getInspectDepartmentName() {
        return inspectDepartmentName;
    }

    public void setInspectStationId(Long inspectStationId) {
        this.inspectStationId = inspectStationId;
    }

    public Long getInspectStationId() {
        return inspectStationId;
    }

    public void setInspectStationName(String inspectStationName) {
        this.inspectStationName = inspectStationName;
    }

    public String getInspectStationName() {
        return inspectStationName;
    }

    public void setCheckMethodDesc(String checkMethodDesc) {
        this.checkMethodDesc = checkMethodDesc;
    }

    public String getCheckMethodDesc() {
        return checkMethodDesc;
    }

    public void setPassengerGenderDesc(String passengerGenderDesc) {
        this.passengerGenderDesc = passengerGenderDesc;
    }

    public String getPassengerGenderDesc() {
        return passengerGenderDesc;
    }

    public void setInspectUserName(String inspectUserName) {
        this.inspectUserName = inspectUserName;
    }

    public String getInspectUserName() {
        return inspectUserName;
    }

    public void setAttendanceBrigadeId(Long attendanceBrigadeId) {
        this.attendanceBrigadeId = attendanceBrigadeId;
    }

    public Long getAttendanceBrigadeId() {
        return attendanceBrigadeId;
    }

    public void setAttendanceBrigadeName(String attendanceBrigadeName) {
        this.attendanceBrigadeName = attendanceBrigadeName;
    }

    public String getAttendanceBrigadeName() {
        return attendanceBrigadeName;
    }

    public void setInspectBrigadeId(Long inspectBrigadeId) {
        this.inspectBrigadeId = inspectBrigadeId;
    }

    public Long getInspectBrigadeId() {
        return inspectBrigadeId;
    }

    public void setInspectBrigadeName(String inspectBrigadeName) {
        this.inspectBrigadeName = inspectBrigadeName;
    }

    public String getInspectBrigadeName() {
        return inspectBrigadeName;
    }

    public List<ItemSeizureItems> getItemSeizureItemsList() {
        return itemSeizureItemsList;
    }

    public void setItemSeizureItemsList(List<ItemSeizureItems> itemSeizureItemsList) {
        this.itemSeizureItemsList = itemSeizureItemsList;
    }

    public Integer getPowerOnInstruction() {
        return powerOnInstruction;
    }

    public void setPowerOnInstruction(Integer powerOnInstruction) {
        this.powerOnInstruction = powerOnInstruction;
    }

    public Long getXrayOperatorId() {
        return xrayOperatorId;
    }

    public void setXrayOperatorId(Long xrayOperatorId) {
        this.xrayOperatorId = xrayOperatorId;
    }

    public String getXrayOperatorName() {
        return xrayOperatorName;
    }

    public void setXrayOperatorName(String xrayOperatorName) {
        this.xrayOperatorName = xrayOperatorName;
    }

    @Override
    public String toString() {
        return "ItemSeizureRecord{" +
                "tenantId='" + tenantId + '\'' +
                ", revision=" + revision +
                ", inspectUserId=" + inspectUserId +
                ", channelCode='" + channelCode + '\'' +
                ", seizureTime=" + seizureTime +
                ", checkMethod='" + checkMethod + '\'' +
                ", attendanceId=" + attendanceId +
                ", id=" + id +
                ", attendanceTeamId=" + attendanceTeamId +
                ", attendanceTeamName='" + attendanceTeamName + '\'' +
                ", attendanceDepartmentId=" + attendanceDepartmentId +
                ", attendanceDepartmentName='" + attendanceDepartmentName + '\'' +
                ", attendanceStationId=" + attendanceStationId +
                ", attendanceStationName='" + attendanceStationName + '\'' +
                ", channelName='" + channelName + '\'' +
                ", regionalCode=" + regionalCode +
                ", regionalName='" + regionalName + '\'' +
                ", terminlCode=" + terminlCode +
                ", terminlName='" + terminlName + '\'' +
                ", passengerName='" + passengerName + '\'' +
                ", passengerGender='" + passengerGender + '\'' +
                ", passengerCard='" + passengerCard + '\'' +
                ", passengerFlight='" + passengerFlight + '\'' +
                ", inspectTeamId=" + inspectTeamId +
                ", inspectTeamName='" + inspectTeamName + '\'' +
                ", inspectDepartmentId=" + inspectDepartmentId +
                ", inspectDepartmentName='" + inspectDepartmentName + '\'' +
                ", inspectStationId=" + inspectStationId +
                ", inspectStationName='" + inspectStationName + '\'' +
                ", checkMethodDesc='" + checkMethodDesc + '\'' +
                ", passengerGenderDesc='" + passengerGenderDesc + '\'' +
                ", inspectUserName='" + inspectUserName + '\'' +
                ", processStatus='" + processStatus + '\'' +
                ", attendanceBrigadeId='" + attendanceBrigadeId + '\'' +
                ", attendanceBrigadeName='" + attendanceBrigadeName + '\'' +
                ", inspectBrigadeId='" + inspectBrigadeId + '\'' +
                ", inspectBrigadeName='" + inspectBrigadeName + '\'' +
                ", itemSeizureItemsList=" + itemSeizureItemsList +
                '}';
    }
}
